VM_MAP_REMOVE(9)

NAME
vm_map_remove - remove a virtual address range from a map

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_map.h>
int
vm_map_remove(vm_map_t map, vm_offset_t start, vm_offset_t end);

DESCRIPTION
The vm_map_remove() function removes the given address range bounded by start and end from the target map.

IMPLEMENTATION NOTES
This is the exported form of vm_map_delete(9) which may be called by consumers of the VM subsystem.

The function calls vm_map_lock(9) to hold a lock on map for the duration of the function call.

RETURN VALUES
The vm_map_remove() always returns KERN_SUCCESS.

SEE ALSO
vm_map(9), vm_map_delete(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.